Bug 477244 - openoffice writer crashes on start
openoffice writer crashes on start
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
10
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-19 15:09 EST by Paul Finnigan
Modified: 2009-01-12 04:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-12 04:52:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Finnigan 2008-12-19 15:09:03 EST
Description of problem:

Openoffice Writer Crashes on Start.

If you start by clicking on an already created file a window opens saying "OOo has crashed" and asking me to paste the text into a bug report (see bug report in actual results section).

If you go into any other component and then select Text Document OpenOffice just ends.

If you start writer form the command line I get:

/usr/lib64/openoffice.org3/program/soffice: line 129: 27517 Segmentation fault      "$sd_prog/$sd_binary" "$@"

Starting calc from the command line and dropping out to the Welcome backdrop to select Text Document results in the same error.

All other component start without a problem. I have tried deleting my users .openoffice.org folder to no avail.


Version-Release number of selected component (if applicable):

Running Fedora 10 and yum list openoffice* reports:

Installed Packages
openoffice.org-base.x86_64                      1:3.0.0-9.10.fc10      installed
openoffice.org-base-core.x86_64                 1:3.0.0-9.10.fc10      installed
openoffice.org-brand.x86_64                     1:3.0.0-9.10.fc10      installed
openoffice.org-calc.x86_64                      1:3.0.0-9.10.fc10      installed
openoffice.org-calc-core.x86_64                 1:3.0.0-9.10.fc10      installed
openoffice.org-core.x86_64                      1:3.0.0-9.10.fc10      installed
openoffice.org-draw.x86_64                      1:3.0.0-9.10.fc10      installed
openoffice.org-draw-core.x86_64                 1:3.0.0-9.10.fc10      installed
openoffice.org-graphicfilter.x86_64             1:3.0.0-9.10.fc10      installed
openoffice.org-impress.x86_64                   1:3.0.0-9.10.fc10      installed
openoffice.org-impress-core.x86_64              1:3.0.0-9.10.fc10      installed
openoffice.org-langpack-en.x86_64               1:3.0.0-9.10.fc10      installed
openoffice.org-math.x86_64                      1:3.0.0-9.10.fc10      installed
openoffice.org-math-core.x86_64                 1:3.0.0-9.10.fc10      installed
openoffice.org-pdfimport.x86_64                 1:3.0.0-9.10.fc10      installed
openoffice.org-presenter-screen.x86_64          1:3.0.0-9.10.fc10      installed
openoffice.org-pyuno.x86_64                     1:3.0.0-9.10.fc10      installed
openoffice.org-ure.x86_64                       1:3.0.0-9.10.fc10      installed
openoffice.org-writer.x86_64                    1:3.0.0-9.10.fc10      installed
openoffice.org-writer-core.x86_64               1:3.0.0-9.10.fc10      installed
openoffice.org-xsltfilter.x86_64                1:3.0.0-9.10.fc10      installed


How reproducible:

Every time on my desktop and does not happen on my laptop. My laptop uses almost the same packages as my desktop.

It did not happen on my desktop for about two weeks after installing Fedora 10. 

Steps to Reproduce:
1. Start writer any way you want
2.
3.
  
Actual results:

Bug Report:

(I)    x.org loaded video driver of...
(II) Loading /usr/lib64/xorg/modules/drivers//intel_drv.so
(II) Loading /usr/lib64/xorg/modules/drivers//fbdev_drv.so
(II) Loading /usr/lib64/xorg/modules/drivers//vesa_drv.so
(II) Unloading /usr/lib64/xorg/modules/drivers//fbdev_drv.so
(II) Unloading /usr/lib64/xorg/modules/drivers//vesa_drv.so
(==) Depth 24 pixmap format is 32 bpp
(III)  Desktop is: GNOME
(IV)   openoffice.org-kde version is: package openoffice.org-kde is not installed
(V)    libgcj version is: libgcj-4.3.2-7-x86_64
(VI)   kernel is: Linux 2.6.27.7-134.fc10.x86_64 #1 SMP Mon Dec 1 22:21:35 EST 2008 x86_64 x86_64 x86_64
(VII)  OpenOffice.org core rpm version is: openoffice.org-core-3.0.0-9.10.fc10-x86_64
(VIII) accessibility is: false
(IX)   fedora release is: Fedora release 10 (Cambridge)
(X)    LANG is: en_US.UTF-8
...start free space details ...
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/sda1            480696480  68167156 388110528  15% /
/dev/sda1            480696480  68167156 388110528  15% /
...end free space details ...
...start (default) java details ...
java version "1.6.0_0"
IcedTea6 1.4 (fedora-7.b12.fc10-x86_64) Runtime Environment (build 1.6.0_0-b12)
OpenJDK 64-Bit Server VM (build 10.0-b19, mixed mode)
...end (default) java details ...
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   permissive
Mode from config file:          permissive
Policy version:                 23
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0x3bdd637c2b: 0x1eb8a8: /usr/lib64/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3 + 0x37c2b
0x3bdd638843: 0x1eb8a8: /usr/lib64/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3 + 0x38843
0x3bd960f0f0: 0x16da8: /lib64/libpthread.so.0 + 0xf0f0
0x3bd8a32f05: 0x16bb40: /lib64/libc.so.6 + 0x32f05 (gsignal + 0x35)
0x3bd8a34a73: 0x16bb40: /lib64/libc.so.6 + 0x34a73 (abort + 0x183)
0x3be02c58e4: 0xf4398: /usr/lib64/libstdc++.so.6 + 0xc58e4 (__gnu_cxx::__verbose_terminate_handler() + 0x114)
0x3be02c3ce6: 0xf4398: /usr/lib64/libstdc++.so.6 + 0xc3ce6
0x3be02c3d13: 0xf4398: /usr/lib64/libstdc++.so.6 + 0xc3d13
0x3be02c3dfa: 0xf4398: /usr/lib64/libstdc++.so.6 + 0xc3dfa
0x3c0910bde9: 0xe0fc38: /usr/lib64/openoffice.org3/program/../basis-link/program/libsvxlx.so + 0x90bde9 (SvxUnoDrawMSFactory::createInstance(rtl::OUString const&) + 0x169)
0x3c08d85d73: 0xe0fc38: /usr/lib64/openoffice.org3/program/../basis-link/program/libsvxlx.so + 0x585d73 (SvxFmMSFactory::createInstance(rtl::OUString const&) + 0x223)
...end stackreport details ...
...start sample ldd details ...
	linux-vdso.so.1 =>  (0x00007fff83dff000)
	libgtk-x11-2.0.so.0 => /usr/lib64/libgtk-x11-2.0.so.0 (0x000000000036b000)
	libgdk-x11-2.0.so.0 => /usr/lib64/libgdk-x11-2.0.so.0 (0x0000000000940000)
	libatk-1.0.so.0 => /usr/lib64/libatk-1.0.so.0 (0x0000000000bde000)
	libgio-2.0.so.0 => /lib64/libgio-2.0.so.0 (0x0000000000dfe000)
	libpangoft2-1.0.so.0 => /usr/lib64/libpangoft2-1.0.so.0 (0x000000004c408000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib64/libgdk_pixbuf-2.0.so.0 (0x0000000001072000)
	libpangocairo-1.0.so.0 => /usr/lib64/libpangocairo-1.0.so.0 (0x000000000128f000)
	libcairo.so.2 => /usr/lib64/libcairo.so.2 (0x000000000149a000)
	libpango-1.0.so.0 => /usr/lib64/libpango-1.0.so.0 (0x000000000170e000)
	libfreetype.so.6 => /usr/lib64/libfreetype.so.6 (0x0000000001957000)
	libfontconfig.so.1 => /usr/lib64/libfontconfig.so.1 (0x0000000001bf0000)
	libgmodule-2.0.so.0 => /lib64/libgmodule-2.0.so.0 (0x0000000001e21000)
	libgthread-2.0.so.0 => /lib64/libgthread-2.0.so.0 (0x0000000002024000)
	librt.so.1 => /lib64/librt.so.1 (0x0000000002228000)
	libdbus-glib-1.so.2 => /usr/lib64/libdbus-glib-1.so.2 (0x00000000dac08000)
	libdbus-1.so.3 => /lib64/libdbus-1.so.3 (0x0000000002431000)
	libgobject-2.0.so.0 => /lib64/libgobject-2.0.so.0 (0x000000000266f000)
	libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x00000000028b2000)
	libvclplug_genlx.so => /usr/lib64/openoffice.org/basis3.0/program/libvclplug_genlx.so (0x0000000002b93000)
	libvcllx.so => /usr/lib64/openoffice.org/basis3.0/program/libvcllx.so (0x0000000002e28000)
	libpsplx.so => /usr/lib64/openoffice.org/basis3.0/program/libpsplx.so (0x0000000003426000)
	libsotlx.so => /usr/lib64/openoffice.org/basis3.0/program/libsotlx.so (0x000000000371e000)
	libutllx.so => /usr/lib64/openoffice.org/basis3.0/program/libutllx.so (0x0000000003982000)
	libtllx.so => /usr/lib64/openoffice.org/basis3.0/program/libtllx.so (0x0000000003c1d000)
	libcomphelp4gcc3.so => /usr/lib64/openoffice.org/basis3.0/program/libcomphelp4gcc3.so (0x0000000003ecc000)
	libucbhelper4gcc3.so => /usr/lib64/openoffice.org/basis3.0/program/libucbhelper4gcc3.so (0x000000000421e000)
	libuno_cppuhelpergcc3.so.3 => /usr/lib64/openoffice.org/basis3.0/program/../ure-link/lib/libuno_cppuhelpergcc3.so.3 (0x000000000449a000)
	libuno_cppu.so.3 => /usr/lib64/openoffice.org/basis3.0/program/../ure-link/lib/libuno_cppu.so.3 (0x0000000004744000)
	libvos3gcc3.so => /usr/lib64/openoffice.org/basis3.0/program/libvos3gcc3.so (0x000000005a28b000)
	libuno_sal.so.3 => /usr/lib64/openoffice.org/basis3.0/program/../ure-link/lib/libuno_sal.so.3 (0x0000000004972000)
	libXrandr.so.2 => /usr/lib64/libXrandr.so.2 (0x0000000004d69000)
	libX11.so.6 => /usr/lib64/libX11.so.6 (0x0000000004f70000)
	libXext.so.6 => /usr/lib64/libXext.so.6 (0x000000000527b000)
	libdl.so.2 => /lib64/libdl.so.2 (0x000000000548c000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x0000000005690000)
	libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00000000058ac000)
	libm.so.6 => /lib64/libm.so.6 (0x0000000005bb6000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x0000000005e3b000)
	libc.so.6 => /lib64/libc.so.6 (0x0000000006052000)
	libXcomposite.so.1 => /usr/lib64/libXcomposite.so.1 (0x00000000063c4000)
	libXdamage.so.1 => /usr/lib64/libXdamage.so.1 (0x00000000fcb71000)
	libXfixes.so.3 => /usr/lib64/libXfixes.so.3 (0x00000000065c6000)
	libpng12.so.0 => /usr/lib64/libpng12.so.0 (0x00000000067cb000)
	libXrender.so.1 => /usr/lib64/libXrender.so.1 (0x00000000069f1000)
	libXinerama.so.1 => /usr/lib64/libXinerama.so.1 (0x0000000006bfa000)
	libXi.so.6 => /usr/lib64/libXi.so.6 (0x0000000006dfc000)
	libXcursor.so.1 => /usr/lib64/libXcursor.so.1 (0x0000000007005000)
	libselinux.so.1 => /lib64/libselinux.so.1 (0x000000000720f000)
	libpixman-1.so.0 => /usr/lib64/libpixman-1.so.0 (0x000000000742b000)
	libz.so.1 => /lib64/libz.so.1 (0x000000000766f000)
	libexpat.so.1 => /lib64/libexpat.so.1 (0x00000000c1c40000)
	/lib64/ld-linux-x86-64.so.2 (0x0000003bd8600000)
	libnsl.so.1 => /lib64/libnsl.so.1 (0x0000000007884000)
	libcap.so.2 => /lib64/libcap.so.2 (0x0000000007a9e000)
	libSM.so.6 => /usr/lib64/libSM.so.6 (0x0000000007ca2000)
	libICE.so.6 => /usr/lib64/libICE.so.6 (0x0000000007eaa000)
	libi18nisolang1gcc3.so => /usr/lib64/openoffice.org/basis3.0/program/libi18nisolang1gcc3.so (0x00000000080c5000)
	libbasegfxlx.so => /usr/lib64/openoffice.org/basis3.0/program/libbasegfxlx.so (0x00000000082ca000)
	libicuuc.so.40 => /usr/lib64/libicuuc.so.40 (0x0000000008551000)
	libicule.so.40 => /usr/lib64/libicule.so.40 (0x000000000889a000)
	libjvmaccessgcc3.so.3 => /usr/lib64/openoffice.org/basis3.0/program/../ure-link/lib/libjvmaccessgcc3.so.3 (0x0000000008acf000)
	libuno_salhelpergcc3.so.3 => /usr/lib64/openoffice.org/basis3.0/program/../ure-link/lib/libuno_salhelpergcc3.so.3 (0x000000004f340000)
	libcrypt.so.1 => /lib64/libcrypt.so.1 (0x0000000008cd6000)
	libxcb-xlib.so.0 => /usr/lib64/libxcb-xlib.so.0 (0x0000000008f0e000)
	libxcb.so.1 => /usr/lib64/libxcb.so.1 (0x000000000910f000)
	libXau.so.6 => /usr/lib64/libXau.so.6 (0x000000000932a000)
	libuuid.so.1 => /lib64/libuuid.so.1 (0x000000000952c000)
	libicudata.so.40 => /usr/lib64/libicudata.so.40 (0x00007ff57ad14000)
	libXdmcp.so.6 => /usr/lib64/libXdmcp.so.6 (0x0000000015136000)
...end sample ldd details ...


Expected results:

Writer opens selected/new document.

Additional info:

Sorry the information is a little light. I do not know too much about OpenOffice.org. If you need any more information or want me to do anything then let me know.
Comment 1 BobStefanick 2008-12-21 22:45:58 EST
I likewise got this same error when I had a spreadsheet open in Open Office and opened a new blank text document and pasted in some text.  Bob Stefanick sail1rjs@comcast.net


Here's the dump I got:
(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers//intel_drv.so
(==) Depth 24 pixmap format is 32 bpp
(III)  Desktop is: GNOME
(IV)   libgcj version is: libgcj-4.1.2-33-i386
(V)    kernel is: Linux 2.6.26.6-49.fc8 #1 SMP Fri Oct 17 15:59:36 EDT 2008 i686 i686 i386
(VI)   OpenOffice.org core rpm version is: openoffice.org-core-2.3.0-6.17.fc8-i386
(VII)  accessibility is: false
(VIII) fedora release is: Fedora release 8 (Werewolf)
...start free space details ...
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/mapper/VolGroup00-LogVol00
                      73481392  17848484  51840012  26% /
/dev/mapper/VolGroup00-LogVol00
                      73481392  17848484  51840012  26% /
...end free space details ...
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   enforcing
Mode from config file:          enforcing
Policy version:                 23
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0x005271a9: 0x001cd374: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x211a9
0x00527c6e: 0x001cd374: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x21c6e
0x00110400: 0x00000000:  + 0x400 (__kernel_sigreturn + 0x0)
0x00110416: 0x00000000:  + 0x416 (__kernel_vsyscall + 0x2)
0x0096c690: 0x00154d7c: /lib/libc.so.6 + 0x29690 (gsignal + 0x50)
0x0096df91: 0x00154d7c: /lib/libc.so.6 + 0x2af91 (abort + 0x101)
0x009a49eb: 0x00154d7c: /lib/libc.so.6 + 0x619eb
0x009acac1: 0x00154d7c: /lib/libc.so.6 + 0x69ac1
0x009ae4f1: 0x00154d7c: /lib/libc.so.6 + 0x6b4f1
0x009b03f7: 0x00154d7c: /lib/libc.so.6 + 0x6d3f7 (realloc + 0x1a7)
0x014c4d25: 0x00121aa8: /lib/libcrypto.so.6 + 0x31d25
0x014c5457: 0x00121aa8: /lib/libcrypto.so.6 + 0x32457 (CRYPTO_realloc + 0x87)
0x01518587: 0x00121aa8: /lib/libcrypto.so.6 + 0x85587 (lh_insert + 0x107)
0x0151b03e: 0x00121aa8: /lib/libcrypto.so.6 + 0x8803e
0x0151a7ae: 0x00121aa8: /lib/libcrypto.so.6 + 0x877ae
0x0151c195: 0x00121aa8: /lib/libcrypto.so.6 + 0x89195 (ERR_load_strings + 0x25)
0x0383de5c: 0x00041508: /lib/libssl.so.6 + 0x34e5c (ERR_load_SSL_strings + 0x3c)
0x03834bec: 0x00041508: /lib/libssl.so.6 + 0x2bbec (SSL_load_error_strings + 0x1c)
0x091f4691: 0x00021254: /usr/lib/libneon.so.27 + 0x18691
0x091ec130: 0x00021254: /usr/lib/libneon.so.27 + 0x10130 (ne_sock_init + 0x50)
0x01c0490e: 0x00058eb0: /usr/lib/openoffice.org/program/libucpdav1.so + 0x2d90e
0x01c05554: 0x00058eb0: /usr/lib/openoffice.org/program/libucpdav1.so + 0x2e554
0x01bfd0af: 0x00058eb0: /usr/lib/openoffice.org/program/libucpdav1.so + 0x260af
0x01bff11c: 0x00058eb0: /usr/lib/openoffice.org/program/libucpdav1.so + 0x2811c
0x01be6591: 0x00058eb0: /usr/lib/openoffice.org/program/libucpdav1.so + 0xf591
0x01be9749: 0x00058eb0: /usr/lib/openoffice.org/program/libucpdav1.so + 0x12749
0x01beaf0c: 0x00058eb0: /usr/lib/openoffice.org/program/libucpdav1.so + 0x13f0c
0x006f6481: 0x0007e7c0: /usr/lib/openoffice.org/program/libucbhelper4gcc3.so + 0x1c481
0x006f7d77: 0x0007e7c0: /usr/lib/openoffice.org/program/libucbhelper4gcc3.so + 0x1dd77 (ucbhelper::Content::getPropertyValuesInterface(com::sun::star::uno::Sequence<rtl::OUString> const&) + 0xc1)
0x006f7e04: 0x0007e7c0: /usr/lib/openoffice.org/program/libucbhelper4gcc3.so + 0x1de04 (ucbhelper::Content::getPropertyValues(com::sun::star::uno::Sequence<rtl::OUString> const&) + 0x24)
0x006f7f19: 0x0007e7c0: /usr/lib/openoffice.org/program/libucbhelper4gcc3.so + 0x1df19 (ucbhelper::Content::getPropertyValue(rtl::OUString const&) + 0x45)
0x006f9fed: 0x0007e7c0: /usr/lib/openoffice.org/program/libucbhelper4gcc3.so + 0x1ffed (ucbhelper::Content::isDocument() + 0x33)
0x006fa35c: 0x0007e7c0: /usr/lib/openoffice.org/program/libucbhelper4gcc3.so + 0x2035c (ucbhelper::Content::openWriteableStream() + 0x1c)
0x060a046f: 0x00127dcc: /usr/lib/openoffice.org/program/libcomphelp4gcc3.so + 0x8146f
0x060a1a28: 0x00127dcc: /usr/lib/openoffice.org/program/libcomphelp4gcc3.so + 0x82a28 (comphelper::MediaDescriptor::addInputStream() + 0x158)
0xad43bf91: 0x00b470a4: /usr/lib/openoffice.org/program/libsw680li.so + 0x38af91
0xad43b372: 0x00b470a4: /usr/lib/openoffice.org/program/libsw680li.so + 0x38a372
0xad43d02a: 0x00b470a4: /usr/lib/openoffice.org/program/libsw680li.so + 0x38c02a
0x0051f9a1: 0x001cd374: /usr/lib/openoffice.org/program/libuno_sal.so.3 + 0x199a1
0x00ad550b: 0x00014ed4: /lib/libpthread.so.0 + 0x550b
0x00a16b2e: 0x00154d7c: /lib/libc.so.6 + 0xd3b2e (clone + 0x5e)
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x00110000)
	libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x00170000)
	libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x005af000)
	libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x00651000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x0066d000)
	libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x0068a000)
	libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x00694000)
	libcairo.so.2 => /usr/lib/libcairo.so.2 (0x006d4000)
	libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0x00759000)
	libdl.so.2 => /lib/libdl.so.2 (0x0075d000)
	libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0x00762000)
	librt.so.1 => /lib/librt.so.1 (0x00767000)
	libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0x00770000)
	libdbus-1.so.3 => /lib/libdbus-1.so.3 (0x0078d000)
	libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0x007cc000)
	libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x0080c000)
	libvclplug_gen680li.so => /usr/lib/openoffice.org/program/libvclplug_gen680li.so (0x00941000)
	libvcl680li.so => /usr/lib/openoffice.org/program/libvcl680li.so (0xb7b8d000)
	libpsp680li.so => /usr/lib/openoffice.org/program/libpsp680li.so (0xb7a89000)
	libsot680li.so => /usr/lib/openoffice.org/program/libsot680li.so (0x009cb000)
	libutl680li.so => /usr/lib/openoffice.org/program/libutl680li.so (0xb79eb000)
	libtl680li.so => /usr/lib/openoffice.org/program/libtl680li.so (0xb793e000)
	libcomphelp4gcc3.so => /usr/lib/openoffice.org/program/libcomphelp4gcc3.so (0xb7811000)
	libucbhelper4gcc3.so => /usr/lib/openoffice.org/program/libucbhelper4gcc3.so (0xb7790000)
	libuno_cppuhelpergcc3.so.3 => /usr/lib/openoffice.org/program/libuno_cppuhelpergcc3.so.3 (0xb76e1000)
	libuno_cppu.so.3 => /usr/lib/openoffice.org/program/libuno_cppu.so.3 (0x008d7000)
	libvos3gcc3.so => /usr/lib/openoffice.org/program/libvos3gcc3.so (0xb76ba000)
	libuno_sal.so.3 => /usr/lib/openoffice.org/program/libuno_sal.so.3 (0xb74e7000)
	libX11.so.6 => /usr/lib/libX11.so.6 (0xb73eb000)
	libXext.so.6 => /usr/lib/libXext.so.6 (0x00905000)
	libpthread.so.0 => /lib/libpthread.so.0 (0xb73d2000)
	libstlport_gcc.so => /usr/lib/openoffice.org/program/libstlport_gcc.so (0xb7304000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb7219000)
	libm.so.6 => /lib/libm.so.6 (0xb71ef000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00915000)
	libc.so.6 => /lib/libc.so.6 (0xb7096000)
	libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0x00921000)
	libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x00a33000)
	libpng12.so.0 => /usr/lib/libpng12.so.0 (0xb706f000)
	libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xb703f000)
	libXrender.so.1 => /usr/lib/libXrender.so.1 (0x00a38000)
	libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0xb703c000)
	libXi.so.6 => /usr/lib/libXi.so.6 (0xb7033000)
	libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0xb702c000)
	libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0xb7021000)
	libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0xb6ff0000)
	libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb6f64000)
	libz.so.1 => /lib/libz.so.1 (0xb6f51000)
	/lib/ld-linux.so.2 (0x00924000)
	libnsl.so.1 => /lib/libnsl.so.1 (0xb6f38000)
	libcap.so.1 => /lib/libcap.so.1 (0xb6f34000)
	libSM.so.6 => /usr/lib/libSM.so.6 (0xb6f2b000)
	libICE.so.6 => /usr/lib/libICE.so.6 (0xb6f11000)
	libi18nisolang1gcc3.so => /usr/lib/openoffice.org/program/libi18nisolang1gcc3.so (0xb6f0a000)
	libbasegfx680li.so => /usr/lib/openoffice.org/program/libbasegfx680li.so (0xb6e9d000)
	libicuuc.so.38 => /usr/lib/libicuuc.so.38 (0xb6d6d000)
	libicule.so.38 => /usr/lib/libicule.so.38 (0xb6d37000)
	libjvmaccessgcc3.so.3 => /usr/lib/openoffice.org/program/libjvmaccessgcc3.so.3 (0xb6d2e000)
	libjvmfwk.so.3 => /usr/lib/openoffice.org/program/libjvmfwk.so.3 (0xb6d0f000)
	libuno_salhelpergcc3.so.3 => /usr/lib/openoffice.org/program/libuno_salhelpergcc3.so.3 (0xb6d09000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0xb6cd7000)
	libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0xb6cd5000)
	libxcb.so.1 => /usr/lib/libxcb.so.1 (0xb6cb9000)
	libXau.so.6 => /usr/lib/libXau.so.6 (0xb6cb5000)
	libexpat.so.1 => /lib/libexpat.so.1 (0xb6c94000)
	libicudata.so.38 => /usr/lib/libicudata.so.38 (0xb61ea000)
	libxml2.so.2 => /usr/lib/libxml2.so.2 (0xb60b3000)
	libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0xb60ac000)
...end sample ldd details .
Comment 2 Caolan McNamara 2008-12-22 04:03:51 EST
These are two different traces, the second one one would suggest opening a http://, https:// dav:// or davs:// url of some kind ? While the first one is quite different
Comment 3 Paul Finnigan 2008-12-23 10:42:21 EST
This looks like it was a yum related problem. I have removed all the openoffice applications using yum (yum erase openoffice*). 

I then tried to re-install everything using yum install openoffice.org-writer etc and noted that the i386 versions were also getting installed.

I have used the GUI to reinstall everything and Writer now works fine. 


This is probably caused by my scripts to install new versions of Fedora. I back everything up and install the new version of Fedora, recover my data and then run scripts to add the applications that I need. My scripts do install openoffice.org-base* and openoffice.org-pyuno* (you used to need to add these after a Fedora install). It is also possible that in the process of installation I have added to this by using Yum to install more openoffice components.

I do tend to use yum and have not been looking to check if I am installing i386 packages when x86_64 are available. 

Not too sure but this looks like it is something down to me and my methods of installation but if I get a chance I will look at what a clean minimal install of an X86_64 system followed by yum to install openoffice will do.

Thanks for everyones time looking at this. I am leaving it open until I get a chance to look at the minimal install.
Comment 4 Joachim Metz 2009-01-03 13:16:36 EST
I encounter a somewhat similar problem. Any OpenOffice 3 program just dies when I try to start it on a i386 Fedora Core 10 with latests updates. Bug report added below.

(I)    x.org loaded video driver of...
(II) Loading /usr/lib/xorg/modules/drivers//sis_drv.so
(II) Loading /usr/lib/xorg/modules/drivers//fbdev_drv.so
(II) Loading /usr/lib/xorg/modules/drivers//vesa_drv.so
(II) Unloading /usr/lib/xorg/modules/drivers//fbdev_drv.so
(II) Unloading /usr/lib/xorg/modules/drivers//vesa_drv.so
(--) Depth 24 pixmap format is 32 bpp
(III)  Desktop is: GNOME
(IV)   openoffice.org-kde version is: package openoffice.org-kde is not installed
(V)    libgcj version is: libgcj-4.3.2-7-i386
(VI)   kernel is: Linux 2.6.27.9-159.fc10.i686 #1 SMP Tue Dec 16 15:12:04 EST 2008 i686 i686 i386
(VII)  OpenOffice.org core rpm version is: openoffice.org-core-3.0.0-9.10.fc10-i386
(VIII) accessibility is: false
(IX)   fedora release is: Fedora release 10 (Cambridge)
(X)    LANG is: en_US.UTF-8
...start free space details ...
Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/mapper/VolGroup00-LogVol00
                     193844732   4507824 179490124   3% /
/dev/mapper/VolGroup00-LogVol00
                     193844732   4507824 179490124   3% /
...end free space details ...
...start (default) java details ...
java version "1.6.0_0"
IcedTea6 1.4 (fedora-7.b12.fc10-i386) Runtime Environment (build 1.6.0_0-b12)
OpenJDK Client VM (build 10.0-b19, mixed mode)
...end (default) java details ...
...start sestatus details ...
SELinux status:                 enabled
SELinuxfs mount:                /selinux
Current mode:                   enforcing
Mode from config file:          enforcing
Policy version:                 23
Policy from config file:        targeted
...end sestatus details ...
...start stackreport details ...
0x64c0e44: 0x1b01b8: /usr/lib/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3 + 0x20e44
0x64c177f: 0x1b01b8: /usr/lib/openoffice.org3/program/../basis-link/ure-link/lib/libuno_sal.so.3 + 0x2177f
0x130400: 0x0:  + 0x400 (__kernel_sigreturn + 0x0)
...end stackreport details ...
...start sample ldd details ...
	linux-gate.so.1 =>  (0x00110000)
	libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x00158000)
	libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x0053e000)
	libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x005d3000)
	libgio-2.0.so.0 => /lib/libgio-2.0.so.0 (0x005f0000)
	libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x00663000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x0068d000)
	libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x006aa000)
	libcairo.so.2 => /usr/lib/libcairo.so.2 (0x006b5000)
	libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x0072d000)
	libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x00773000)
	libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x00806000)
	libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0x00835000)
	libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0x00839000)
	librt.so.1 => /lib/librt.so.1 (0x0083e000)
	libdbus-glib-1.so.2 => /usr/lib/libdbus-glib-1.so.2 (0x00848000)
	libdbus-1.so.3 => /lib/libdbus-1.so.3 (0x00866000)
	libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0x008a7000)
	libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x008e8000)
	libvclplug_genli.so => /usr/lib/openoffice.org/basis3.0/program/libvclplug_genli.so (0x009cb000)
	libvclli.so => /usr/lib/openoffice.org/basis3.0/program/libvclli.so (0x00a38000)
	libpspli.so => /usr/lib/openoffice.org/basis3.0/program/libpspli.so (0x00d21000)
	libsotli.so => /usr/lib/openoffice.org/basis3.0/program/libsotli.so (0x00de8000)
	libutlli.so => /usr/lib/openoffice.org/basis3.0/program/libutlli.so (0x00e34000)
	libtlli.so => /usr/lib/openoffice.org/basis3.0/program/libtlli.so (0x00ea0000)
	libcomphelp4gcc3.so => /usr/lib/openoffice.org/basis3.0/program/libcomphelp4gcc3.so (0x00f21000)
	libucbhelper4gcc3.so => /usr/lib/openoffice.org/basis3.0/program/libucbhelper4gcc3.so (0x3caf5000)
	libuno_cppuhelpergcc3.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libuno_cppuhelpergcc3.so.3 (0x01004000)
	libuno_cppu.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libuno_cppu.so.3 (0x0107a000)
	libvos3gcc3.so => /usr/lib/openoffice.org/basis3.0/program/libvos3gcc3.so (0x76344000)
	libuno_sal.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libuno_sal.so.3 (0x010a7000)
	libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x0125d000)
	libX11.so.6 => /usr/lib/libX11.so.6 (0x01264000)
	libXext.so.6 => /usr/lib/libXext.so.6 (0x01365000)
	libdl.so.2 => /lib/libdl.so.2 (0x01375000)
	libpthread.so.0 => /lib/libpthread.so.0 (0x0137a000)
	libstlport_gcc.so => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libstlport_gcc.so (0x01394000)
	libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x0145c000)
	libm.so.6 => /lib/libm.so.6 (0x464df000)
	libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x0154c000)
	libc.so.6 => /lib/libc.so.6 (0x0155a000)
	libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0x016ce000)
	libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0x016d1000)
	libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x016d4000)
	libpng12.so.0 => /usr/lib/libpng12.so.0 (0x016d9000)
	libXrender.so.1 => /usr/lib/libXrender.so.1 (0x01701000)
	libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x0170a000)
	libXi.so.6 => /usr/lib/libXi.so.6 (0x40237000)
	libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x0170d000)
	libselinux.so.1 => /lib/libselinux.so.1 (0x4024a000)
	libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0x40275000)
	libz.so.1 => /lib/libz.so.1 (0x01717000)
	libexpat.so.1 => /lib/libexpat.so.1 (0x0172b000)
	/lib/ld-linux.so.2 (0xb8052000)
	libnsl.so.1 => /lib/libnsl.so.1 (0x01752000)
	libcap.so.2 => /lib/libcap.so.2 (0x97298000)
	libSM.so.6 => /usr/lib/libSM.so.6 (0x0176c000)
	libICE.so.6 => /usr/lib/libICE.so.6 (0x01774000)
	libi18nisolang1gcc3.so => /usr/lib/openoffice.org/basis3.0/program/libi18nisolang1gcc3.so (0x80978000)
	libbasegfxli.so => /usr/lib/openoffice.org/basis3.0/program/libbasegfxli.so (0x0178e000)
	libicuuc.so.40 => /usr/lib/libicuuc.so.40 (0x017de000)
	libicule.so.40 => /usr/lib/libicule.so.40 (0x01918000)
	libjvmaccessgcc3.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libjvmaccessgcc3.so.3 (0x0194d000)
	libuno_salhelpergcc3.so.3 => /usr/lib/openoffice.org/basis3.0/program/../ure-link/lib/libuno_salhelpergcc3.so.3 (0x01953000)
	libcrypt.so.1 => /lib/libcrypt.so.1 (0x1adb3000)
	libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0x01957000)
	libxcb.so.1 => /usr/lib/libxcb.so.1 (0x01959000)
	libXau.so.6 => /usr/lib/libXau.so.6 (0x01975000)
	libuuid.so.1 => /lib/libuuid.so.1 (0x01978000)
	libicudata.so.40 => /usr/lib/libicudata.so.40 (0xb72e9000)
	libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x32f17000)
...end sample ldd details ...
Comment 5 Caolan McNamara 2009-01-12 04:52:06 EST
Three different traces => three different problems. paul reports that his initial crash doesn't happen again after re-installing.

Bob's one looks like it might be related to a gio problem, e.g. maybe a
http://, https:// dav:// or davs:// url of some kind. If there's any further information about that, then a new bug with details would be appreciated

Joachim's one is also different, and is very strange as the application's stack is abnormally short.

Closing as the initial error "has gone away"

Note You need to log in before you can comment on or make changes to this bug.